package ${domain}.module.wsys.ent;

import java.util.Date;
import ${domain}.frame.excel.annotation.ExcelNote;
import com.alibaba.excel.annotation.ExcelProperty;
import ${domain}.frame.excel.annotation.ExcelSheet;
import ${domain}.frame.base.BaseEntity;

/**
 * TOKENS - 通行证
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@ExcelSheet("通行证")
public class Tokens extends BaseEntity {

    /**
     * TOKEN - 登录令牌
     */
    @ExcelProperty("登录令牌")
    @ExcelNote("")
    private String token;
    /**
     * USER_ID - 用户主键
     */
    @ExcelProperty("用户主键")
    @ExcelNote("")
    private Long userId;
    /**
     * USER_NAME - 用户名称
     */
    @ExcelProperty("用户名称")
    @ExcelNote("")
    private String userName;
    /**
     * LOGIN_TIME - 登录时间
     */
    @ExcelProperty("登录时间")
    @ExcelNote("")
    private Date loginTime;
    /**
     * VALID_TIME - 有效时间
     */
    @ExcelProperty("有效时间")
    @ExcelNote("")
    private Date validTime;
    /**
     * VALID - 是否有效
     */
    @ExcelProperty("是否有效")
    @ExcelNote("")
    private Boolean valid;
    /**
     * DEPT_ID - 部门主键
     */
    @ExcelProperty("部门主键")
    @ExcelNote("")
    private Long deptId;
    /**
     * DEPT_CODE - 部门代码
     */
    @ExcelProperty("部门代码")
    @ExcelNote("")
    private String deptCode;
    /**
     * DEPT_NAME - 部门名称
     */
    @ExcelProperty("部门名称")
    @ExcelNote("")
    private String deptName;
    /**
     * TERMINAL - 终端类型
     */
    @ExcelProperty("终端类型")
    @ExcelNote("")
    private String terminal;
    /**
     * TERMINAL_IP - 终端地址
     */
    @ExcelProperty("终端地址")
    @ExcelNote("")
    private String terminalIp;
    /**
     * TERMINAL_INFO - 终端信息
     */
    @ExcelProperty("终端信息")
    @ExcelNote("")
    private String terminalInfo;

    public String getToken() {
        return this.token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Long getUserId() {
        return this.userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return this.userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Date getLoginTime() {
        return this.loginTime;
    }

    public void setLoginTime(Date loginTime) {
        this.loginTime = loginTime;
    }

    public Date getValidTime() {
        return this.validTime;
    }

    public void setValidTime(Date validTime) {
        this.validTime = validTime;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    public Long getDeptId() {
        return this.deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptCode() {
        return this.deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return this.deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getTerminal() {
        return this.terminal;
    }

    public void setTerminal(String terminal) {
        this.terminal = terminal;
    }

    public String getTerminalIp() {
        return this.terminalIp;
    }

    public void setTerminalIp(String terminalIp) {
        this.terminalIp = terminalIp;
    }

    public String getTerminalInfo() {
        return this.terminalInfo;
    }

    public void setTerminalInfo(String terminalInfo) {
        this.terminalInfo = terminalInfo;
    }
}